core::dbus::helper::TypeMapper< com::lomiri::location::units::Quantity< T > > Struct Template Reference

`#include <codec.h>`

Collaboration diagram for core::dbus::helper::TypeMapper< com::lomiri::location::units::Quantity< T > >:

## Static Public Member Functions

static constexpr ArgumentType | type_value ()
static constexpr bool | is_basic_type ()
static constexpr bool | requires_signature ()
static std::string | signature ()

## Detailed Description

template<typename T>
struct core::dbus::helper::TypeMapper< com::lomiri::location::units::Quantity< T > >

Definition at line 87 of file codec.h.

## Member Function Documentation

## is_basic_type()

template<typename T>

constexpr bool core::dbus::helper::TypeMapper< com::lomiri::location::units::Quantity< T > >::is_basic_type | ( |  | ) |

inline static constexpr

Definition at line 94 of file codec.h.

## requires_signature()

template<typename T>

constexpr bool core::dbus::helper::TypeMapper< com::lomiri::location::units::Quantity< T > >::requires_signature | ( |  | ) |

inline static constexpr

Definition at line 98 of file codec.h.

## signature()

template<typename T>

std::string core::dbus::helper::TypeMapper< com::lomiri::location::units::Quantity< T > >::signature | ( |  | ) |

inline static

Definition at line 103 of file codec.h.

## type_value()

template<typename T>

constexpr ArgumentType core::dbus::helper::TypeMapper< com::lomiri::location::units::Quantity< T > >::type_value | ( |  | ) |

inline static constexpr

Definition at line 89 of file codec.h.

The documentation for this struct was generated from the following file:

- codec.h